Bug 1051549 (CVE-2013-5893)

Summary: CVE-2013-5893 OpenJDK: JVM method processing issues (Libraries, 8029507)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: dbhole, jkurik, jvanek, omajid, pfrields, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20140114,reported=20140107,source=oracle,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=notaffected,rhel-6/java-1.6.0-openjdk=notaffected,rhel-7/java-1.6.0-openjdk=notaffected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-7/java-1.7.0-openjdk=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-7/java-1.7.0-oracle=affected
Fixed In Version: icedtea 2.4.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-21 16:17:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1049945    

Description Tomas Hoger 2014-01-10 09:50:53 EST
It was discovered that the HotSpot JVM in OpenJDK did not properly handle methods in MethodHandles.  An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2014-01-14 16:13:17 EST
Public now via Oracle CPU January 2014.  Fixed in Oracle JDK 7u51.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html
Comment 2 errata-xmlrpc 2014-01-14 20:02:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0027 https://rhn.redhat.com/errata/RHSA-2014-0027.html
Comment 3 errata-xmlrpc 2014-01-14 20:04:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0026 https://rhn.redhat.com/errata/RHSA-2014-0026.html
Comment 4 errata-xmlrpc 2014-01-15 14:17:59 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0030 https://rhn.redhat.com/errata/RHSA-2014-0030.html
Comment 5 Tomas Hoger 2014-01-16 03:41:00 EST
OpenJDK7 upstream commit:

http://hg.openjdk.java.net/jdk7u/jdk7u/hotspot/rev/839100e42498
Comment 6 Tomas Hoger 2014-01-21 16:17:53 EST
This issue was fixed in IcedTea7 2.4.4.  This fix probably won't get backported to 2.3:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2014-January/025800.html